/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=Cookie&family=Molle&family=Pacifico&display=swap');

@font-face {
  font-family: 'woff2a';
  src: url('../fonts/woff2a.woff2') format('woff2'),
    url('https://roxytoken.com/assets/fonts/woff2a.woff') format('woff'),
    url('../fonts/woff2a.ttf') format('truetype');
}

@font-face {
  font-family: 'woff2b';
  src: url('../fonts/woff2b.woff2') format('woff2'),
    url('https://roxytoken.com/assets/fonts/woff2b.woff') format('woff'),
    url('../fonts/woff2b.ttf') format('truetype');
}

@font-face {
  font-family: 'woff2c';
  src: url('../fonts/woff2c.woff2') format('woff2'),
    url('https://roxytoken.com/assets/fonts/woff2c.woff') format('woff'),
    url('../fonts/woff2c.ttf') format('truetype');
}




/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 1.5rem;

  /*========== Colors ==========*/
  --hue: 14;
  --first-color: hsl(var(--hue), 91%, 54%);
  --first-color-alt: hsl(var(--hue), 91%, 50%);
  --title-color: hsl(var(--hue), 4%, 100%);
  --text-color: hsl(var(--hue), 4%, 95%);
  --text-color-light: hsl(var(--hue), 4%, 55%);

  /*Green gradient*/
  --body-color: linear-gradient(90deg, hsl(112, 40%, 42%) 0%, hsl(112, 40%, 42%) 100%);
  --container-color: linear-gradient(136deg, hsl(120, 1%, 15%) 0%, hsl(0, 0%, 3%) 100%);

  /*========== Font and typography ==========*/
  --body-font: "Slackey", sans-serif;
  --biggest-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-black: 900;

  /*========== Margenes Bottom ==========*/
  --mb-0-25: .25rem;
  --mb-0-5: .5rem;
  --mb-0-75: .75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/* Responsive typography */
@media screen and (min-width: 992px) {
  :root {
    --biggest-font-size: 4rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*=============== EFFECT =============*/

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

a:link {
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

a:active {
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: 'woff2b', sans-serif;
  font-size: var(--normal-font-size);
  background: var(--body-color);
  color: var(--text-color);
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

button,
input {
  border: none;
  outline: none;
}

button {
  cursor: pointer;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

.logo_font {
  font-family: 'woff2c', sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 64px;
  color: white;
  /* Set text color */
  text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -1px 1px 0 #000,
    1px 1px 0 #000;
  /* Set multiple shadows to create a border effect */

}

.nav_font {
  font-family: 'woff2a', sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 64px;
  color: white;
  /* Set text color */

}



/*=============== REUSABLE CSS CLASSES ===============*/
.section {
  padding: 3.5rem 0 2rem;
}

.section__title {
  font-size: var(--h2-font-size);
  margin-bottom: 1.5rem;
  text-align: center;
}

.section__about {
  margin-bottom: 1.5rem;
  text-align: left;
  font-family: 'woff2a', sans-serif;
  font-size: 40px;
}

.section__title__howtobuy {
  margin-bottom: 1.5rem;
  text-align: center;
  font-family: 'woff2a', sans-serif;
  font-size: 40px;
}


.section__about_description p {
  min-width: 380px;
  margin-bottom: 1.5rem;
  text-align: justify;
  font-family: 'woff2b', sans-serif;

}

.section__title_contract {
  font-family: 'woff2a', sans-serif;
  font-size: 30px;
}

.section__title_buy {
  font-family: 'woff2a', sans-serif;
  font-size: 30px;
  padding: 20px;
}



/*=============== LAYOUT ===============*/
.container {
  max-width: 968px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
}

.main {
  overflow: hidden;
  /*For animation*/
}

/*=============== HEADER ===============*/
.header {
  width: 100%;
  background: transparent important !;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
}

/*=============== NAV ===============*/
.nav {
  background: transparent important !;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 60px;
  font-family: 'woff2a', sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 14px;
  color: white;
  /* Set text color */
  border-bottom: 1px solid #046b2f;
  /* Adjust thickness and color as needed */
  box-shadow: 0 3px 4px 0 rgba(0, 0, 0, .2);
}

.nav__logo {
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-medium);
}

.nav__logo-img {
  width: 120px;
}

.nav__link,
.nav__logo,
.nav__toggle,
.nav__close {
  color: var(--title-color);
}

.nav__toggle {
  font-size: 1.25rem;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .nav {
    padding: 0px;
  }

  .nav__menu {
    position: fixed;
    width: 100%;
    background: var(--container-color);
    top: -150%;
    left: 0;
    padding: 3.5rem 0;
    transition: .4s;
    z-index: var(--z-fixed);
    border-radius: 0 0 1.5rem 1.5rem;
  }

  .section__about {
    text-align: center;
  }

  .section__about_description p {
    text-align: center;
  }
}

.nav__img {
  width: 100px;
  position: absolute;
  top: 0;
  left: 0;
}

.nav__close {
  font-size: 1.8rem;
  position: absolute;
  top: .5rem;
  right: .7rem;
  cursor: pointer;
}

.nav__list {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1.5rem;
}

.nav__link {
  text-transform: uppercase;
  font-weight: var(--font-black);
  transition: .4s;
}

.nav__link:hover {
  color: var(--text-color);
}

/* Show menu */
.show-menu {
  top: 0;
}

/* Change background header */
.scroll-header {
  background: var(--container-color);
}

/* Active link */
.active-link {
  position: relative;
}

.active-link::before {
  content: '';
  position: absolute;
  bottom: -.75rem;
  left: 45%;
  width: 5px;
  height: 5px;
  background-color: var(--title-color);
  border-radius: 50%;
}

/*=============== HOME ===============*/
.home__content {
  display: flex;
  justify-content: center;
  align-items: center;
}

.home__group {
  display: grid;
  position: relative;
  padding-top: 2rem;
}

.home__img {
  max-width: 400px;
  height: auto;
}

.flip-horizontal,
.x-grid-cell-inner,
.x-column-header-text,
.x-panel-header-text {
  -moz-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  transform: scaleX(-1);
  -ms-filter: fliph;
  /*IE*/
  filter: fliph;
  /*IE*/
}

.x-column-header-text,
.x-panel-header-text {
  display: inline-block;
}

.home__indicator {
  width: 8px;
  height: 8px;
  background-color: var(--title-color);
  border-radius: 50%;
  position: absolute;
  top: 7rem;
  right: 2rem;
}

.home__indicator::after {
  content: '';
  position: absolute;
  width: 1px;
  height: 48px;
  background-color: var(--title-color);
  top: -3rem;
  right: 45%;
}

.home__details-img {
  position: absolute;
  right: .5rem;
}

.home__details-title,
.home__details-subtitle {
  display: block;
  font-size: var(--small-font-size);
  text-align: right;
}

.home__subtitle {
  color: #2c2c2c;
  font-size: var(--h3-font-size);
  text-transform: uppercase;
  margin-bottom: var(--mb-1);
}

.home__title {
  font-family: 'woff2c', sans-serif;
  font-size: var(--biggest-font-size);
  font-weight: var(--font-black);
  line-height: 109%;
  margin-bottom: var(--mb-1);
  color: white;
  /* Set text color */
  text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -1px 1px 0 #000,
    1px 1px 0 #000;
  /* Set multiple shadows to create a border effect */
}

.home__description {
  margin-bottom: var(--mb-1);
}

.home__buttons {
  display: flex;
  justify-content: space-between;
}

.exchange {
  max-width: 140px;
}

.cmc {
  max-width: 140px;
}

/* BUY IN CONTAINER */

.buy_container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  top: 20px;
  align-items: center;
  border-radius: 0px 60px;
  margin: 0 auto;
  max-width: 800px;
  margin-bottom: 50px;

  align-items: center;
  /* animation: gradient 2s ease infinite; */

  /* White border and shadow */
  border: 2px solid white;
  box-shadow: 0 0 20px 10px rgba(255, 255, 255, 0.5);
  /* Thicker white shadow */
  background: linear-gradient(-45deg, #254E1E, #254E1E);
  /* Rounded corners */
  border-radius: 0px 60px;
  /* Adjust the value to make corners more or less round */
}

.buy_button-container {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}




@media screen and (max-width: 767px) {
  .home__content {
    text-align: center;
  }
}


/* Swiper Class */
.swiper-pagination {
  position: initial;
  margin-top: var(--mb-1);
}

.swiper-pagination-bullet {
  width: 5px;
  height: 5px;
  background-color: var(--title-color);
  opacity: 1;
}

.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
  margin: 0 .5rem;
}

.swiper-pagination-bullet- {
  width: 1.5rem;
  height: 5px;
  border-radius: .5rem;
}

/*=============== BUTTONS ===============*/
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: var(--title-color);
  padding: 1rem 1.75rem;
  border-radius: .5rem;
  font-weight: var(--font-medium);
  transition: .3s;
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button__icon {
  font-size: 1.25rem;
}

.button--ghost {
  border: 2px solid;
  background-color: transparent;
  border-radius: 3rem;
  padding: .75rem 1.5rem;
}

.button--ghost:hover {
  background: none;
}

.button--link {
  color: var(--title-color);
}

.button--flex {
  display: inline-flex;
  align-items: center;
  column-gap: .5rem;
}

/*=============== CATEGORY ===============*/
.category__container {
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem 2rem;
}

.category__data {
  text-align: center;
}

.category__img {
  width: 120px;
  margin-bottom: var(--mb-0-75);
  transition: .3s;
  border-radius: 50%;
}

.category__title {
  margin-bottom: var(--mb-0-25);
}

.category__data:hover .category__img {
  transform: translateY(-.5rem);
}


@media screen and (max-width: 767px) {
  .category__container {
    grid-template-columns: 1fr;
  }
}

/*=============== ABOUT ===============*/
.about__container {
  row-gap: 2rem;
}

.about__data {
  text-align: center font-size: 20px;
}

.about__description {
  margin-bottom: var(--mb-2);
  font-size: 34px;
}

.about__img {
  width: 200px;
  justify-self: center;
}

/*=============== TRICK OR TREAT ===============*/
.trick__container {
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
  padding-top: 1rem;
}

.trick__content {
  position: relative;
  background: var(--container-color);
  border-radius: 1rem;
  padding: 1.5rem 0 1rem 0;
  text-align: center;
  overflow: hidden;
}

.trick__img {
  width: 90px;
  transition: .3s;
}

.trick__subtitle,
.trick__price {
  display: block;
}

.trick__subtitle {
  font-size: var(--smaller-font-size);
  margin-bottom: var(--mb-0-5);
}

.trick__title,
.trick__price {
  color: var(--title-color);
  font-weight: var(--font-medium);
  font-size: var(--normal-font-size);
}

.trick__button {
  display: inline-flex;
  padding: .5rem;
  border-radius: .25rem .25rem .75rem .25rem;
  position: absolute;
  right: -3rem;
  bottom: 0;
}

.trick__icon {
  font-size: 1.25rem;
  color: var(--title-color);
}

.trick__content:hover .trick__img {
  transform: translateY(-.5rem);
}

.trick__content:hover .trick__button {
  right: 0;
}

/*=============== DISCOUNT ===============*/
.discount__container {
  background: transparent !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
}

.discount__title {
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-2);
}

.discount__img {
  justify-self: center;
  max-width: 60%;
}

/*=============== NEW ARRIVALS ===============*/
.new__container {
  padding-top: 1rem;
}

.new__img {
  width: 120px;
  margin-bottom: var(--mb-0-5);
  transition: .3s;
}

.new__content {
  position: relative;
  background: var(--container-color);
  width: 242px;
  padding: 2rem 0 1.5rem 0;
  border-radius: .75rem;
  text-align: center;
  overflow: hidden;
}

.new__tag {
  position: absolute;
  top: 8%;
  left: 8%;
  background-color: var(--first-color);
  color: var(--title-color);
  font-size: var(--small-font-size);
  padding: .25rem .5rem;
  border-radius: .25rem;
}

.new__title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.new__subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-0-5);
}

.new__prices {
  display: inline-flex;
  align-items: center;
  column-gap: .5rem;
}

.new__price {
  font-weight: var(--font-medium);
  color: var(--title-color);
}

.new__discount {
  color: var(--first-color);
  font-size: var(--smaller-font-size);
  text-decoration: line-through;
  font-weight: var(--font-medium);
}

.new__button {
  display: inline-flex;
  padding: .5rem;
  border-radius: .25rem .25rem .75rem .25rem;
  position: absolute;
  bottom: 0;
  right: -3rem;
}

.new__icon {
  font-size: 1.25rem;
}

.new__content:hover .new__img {
  transform: translateY(-.5rem);
}

.new__content:hover .new__button {
  right: 0;
}


/*=============== HOW TO BUY ===============*/

.howtobuy-container {
  max-width: 50%;
  max-height: 100%;
  margin-bottom: 40px;
  padding: 10px;
  text-align: center;

  background: linear-gradient(-45deg, #254E1E, #254E1E);
  align-items: center;
  /* animation: gradient 2s ease infinite; */

  /* White border and shadow */
  border: 2px solid white;
  box-shadow: 0 0 20px 10px rgba(255, 255, 255, 0.5);
  /* Thicker white shadow */

  /* Rounded corners */
  border-radius: 0px 60px;
  /* Adjust the value to make corners more or less round */
}


.v-heading {
  font-family: var(--main-font-family);
  font-weight: bold;
  font-size: 1.5rem;
  color: #faffef;
}

.v-subheading {
  font-size: 1rem;
  color: #ccdaae;
}

@media only screen and (max-width: 576px) {
  .v-heading {
    font-size: 2rem;
  }
}



/*=============== NEWSLETTER ===============*/
.newsletter__description {
  text-align: center;
  margin-bottom: var(--mb-1-5);
}

.newsletter__form {
  background: var(--container-color);
  padding: 1rem;
  display: flex;
  justify-content: space-between;
  border-radius: .75rem;
}

.newsletter__input {
  width: 70%;
  padding: 0 .5rem;
  background: none;
  color: var(--title-color);
}

.newsletter__input::placeholder {
  color: var(--text-color);
}



/*=============== FOOTER ===============*/
/* Footer Styles */
.footer {
  margin-top: 100px;
  padding: 100px;
  color: #fff;
  padding: 20px;
  text-align: center;
}

.footer p {
  margin-bottom: 10px;
}

.footer a {
  color: #fff;
  text-decoration: none;
  margin: 0 10px;
}

/* Social Icons */
.footer .social-icons {
  margin-top: 10px;
}

.footer .social-icons a {
  display: inline-block;
  width: 40px;
  height: 40px;
  background-color: #fff;
  color: #333;
  font-size: 20px;
  line-height: 40px;
  border-radius: 50%;
  margin: 0 5px;
}


/*=============== SCROLL UP ===============*/
.scrollup {
  position: fixed;
  background: var(--container-color);
  right: 1rem;
  bottom: -20%;
  display: inline-flex;
  padding: .3rem;
  border-radius: .25rem;
  z-index: var(--z-tooltip);
  opacity: .8;
  transition: .4s;
}

.scrollup__icon {
  font-size: 1.25rem;
  color: var(--title-color);
}

.scrollup:hover {
  background: var(--container-color);
  opacity: 1;
}

/* Show Scroll Up*/
.show-scroll {
  bottom: 3rem;
}

/*=============== SCROLL BAR ===============*/
::-webkit-scrollbar {
  width: 0.6rem;
  background: #413e3e;
}

::-webkit-scrollbar-thumb {
  background: #272525;
  border-radius: .5rem;
}



/*===============  BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 320px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }

  .home__img {
    height: 160px;
  }

  .home__buttons {
    flex-direction: column;
    width: max-content;
    row-gap: 1rem;
  }

  .category__container,
  .trick__container {
    grid-template-columns: .8fr;
    justify-content: center;
  }

}

/* For medium devices */
@media screen and (min-width: 576px) {
  .about__container {
    margin-left: 0;
    grid-template-columns: .8fr;
    justify-content: center;
  }

  .newsletter__container {
    display: grid;
    grid-template-columns: .7fr;
    justify-content: center;
  }

  .newsletter__description {
    padding: 0 3rem;
  }


}

@media screen and (min-width: 767px) {
  body {
    margin: 0;
  }

  .section {
    padding: 7rem 0 2rem;
  }

  .nav {
    height: calc(var(--header-height));
  }

  .nav__img,
  .nav__close,
  .nav__toggle {
    display: none;
  }

  .nav__list {
    flex-direction: row;
    column-gap: 3rem;
  }

  .nav__link {
    text-transform: initial;
    font-weight: initial;
  }

  .home__content {
    padding: 8rem 0 2rem;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
  }

  .home__img {
    height: 300px;
  }

  .swiper-pagination {
    margin-top: var(--mb-2);
  }

  .category__container {
    grid-template-columns: repeat(3, 200px);
    justify-content: center;
  }

  .about__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .about__title,
  .about__data {
    text-align: initial;
  }

  .about__img {
    width: 250px;
    border-radius: 5%;
  }

  .trick__container {
    grid-template-columns: repeat(3, 200px);
    justify-content: center;
    gap: 2rem;
  }

  .discount__container {
    grid-template-columns: repeat(2, max-content);
    justify-content: center;
    align-items: center;
    column-gap: 3rem;
    padding: 3rem 0;
    border-radius: 3rem;
  }

  .discount__img {}

  .discount__data {}

  .newsletter__container {
    grid-template-columns: .5fr;
  }

  .footer__container {
    grid-template-columns: repeat(4, 1fr);
    justify-items: center;
    column-gap: 1rem;
  }

  .footer__img-two {
    right: initial;
    bottom: 0;
    left: 15%;
  }

}

/* For large devices */
@media screen and (min-width: 992px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }

  .section__title {
    font-size: var(--h1-font-size);
    margin-bottom: 3rem;
  }

  .section__title__howtobuy {
    font-size: var(--h1-font-size);
    margin-bottom: 3rem;
    text-align: center;
    font-family: 'woff2a', sans-serif;
  }


  .home__content {
    padding-top: 9rem;
    gap: 3rem;
  }

  .home__group {
    padding-top: 0;
  }

  .home__img {
    height: 400px;
    transform: translateY(-3rem);
  }

  .home__indicator {
    top: initial;
    right: initial;
    bottom: 15%;
    left: 45%;
  }

  .home__indicator::after {
    top: 0;
    height: 75px;
  }

  .home__details-img {
    bottom: 0;
    right: 58%;
  }

  .home__title {
    margin-bottom: var(--mb-1-5);
  }

  .home__description {
    margin-bottom: var(--mb-2-5);
    padding-right: 2rem;
  }

  .category__container {
    column-gap: 8rem;
  }

  .category__img {
    width: 200px;
  }

  .about__container {
    column-gap: 7rem;
  }

  .about__img {
    width: 350px;
  }

  .about__description {
    padding-right: 2rem;
  }

  .trick__container {
    gap: 3.5rem;
  }

  .trick__content {
    border-radius: 1.5rem;
  }

  .trick__img {
    width: 110px;
  }

  .trick__title {
    font-size: var(--h3-font-size);
  }

  .discount__container {
    column-gap: 7rem;
  }

  .new__content {
    width: 310px;
    border-radius: 1rem;
    padding: 2rem 0;
  }

  .new__img {
    width: 150px;
  }

  .new__img,
  .new__subtitle {
    margin-bottom: var(--mb-1);
  }

  .new__title {
    font-size: var(--h3-font-size);
  }

  .footer__copy {
    margin-top: 6rem;
  }
}

@media screen and (min-width: 1200px) {
  .home__img {
    height: 420px;
  }

  .swiper-pagination {
    margin-top: var(--mb-2-5);
  }

  .footer__img-one {
    width: 120px;
  }

  .footer__img-two {
    width: 180px;
    top: 30%;
    left: -3%;
  }
}


/*=============== KEYFRAMES ===============*/
@keyframes floating {
  0% {
    transform: translate(0, 0px);
  }

  50% {
    transform: translate(0, 15px);
  }

  100% {
    transform: translate(0, -0px);
  }
}

.no-link {
  color: #FFFFFF;
  text-decoration: none;
}

/* Modal Styles */
/* Modal Styles */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #f7902f;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  text-align: center;
  /* Center align the content */
}

.close {
  color: #0f0e0e;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.ok-btn {
  background-color: #100f0f;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  margin-top: 20px;
}

.ok-btn:hover {
  background-color: #eb7507;
}


/* Hide the button by default */
.hidden-large {
  display: none;
}

/* Show the button for screens with a maximum width of 768px (adjust as needed) */
@media (max-width: 768px) {
  .hidden-large {
    display: block;
  }
}

@media screen and (max-width: 767px) {
  .home__content {
    text-align: center;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    /* Added this line to stack items vertically */
  }

  .home__img {
    min-width: 280px;
    height: auto;
  }

  .section__title_contract {
    font-size: 10px;
  }
  

  .section__about_description {
    font-size: 0.875rem;
    /* Adjust font size for smaller screens */
  }

  .v-heading {
    font-size: 0.675rem;
    /* Adjust font size for smaller screens */
  }
}

/* For small devices */
@media screen and (max-width: 576px) {

  /* Adjust font sizes for small devices */
  .home__title {
    font-size: 2.5rem;
    /* Adjust font size for smaller screens */
  }

  .home__subtitle {
    font-size: 1rem;
    /* Adjust font size for smaller screens */
  }

  .home__description {
    font-size: 0.875rem;
    /* Adjust font size for smaller screens */
  }

  .section__title__howtobuy {
    text-align: center;
  }

  .section__title__howtobuy {
    font-size: 2rem;
    /* Adjust font size for smaller screens */
  }

  .section__about_description {
    font-size: 0.875rem;
    /* Adjust font size for smaller screens */
  }

  .v-heading {
    font-size: 0.675rem;
    /* Adjust font size for smaller screens */
  }
  .gecko {
    width: 180px;
  }


}

/* For medium devices */
@media screen and (min-width: 576px) and (max-width: 992px) {

  /* Adjust font sizes for medium devices */
  .home__title {
    font-size: 2rem;
    /* Adjust font size for medium screens */
  }

  .home__subtitle {
    font-size: 1.25rem;
    /* Adjust font size for medium screens */
  }

  .home__description {
    font-size: 1rem;
    /* Adjust font size for medium screens */
  }

  .section__about_description {
    font-size: 1rem;
    /* Adjust font size for smaller screens */
  }

  .v-heading {
    font-size: 0.675rem;
    /* Adjust font size for smaller screens */
  }
  .gecko {
    width: 180px;
  }
}

/* For large devices */
@media screen and (min-width: 992px) {

  /* Adjust font sizes for large devices */
  .home__title {
    font-size: 3rem;
    /* Adjust font size for large screens */
  }

  .home__subtitle {
    font-size: 1.5rem;
    /* Adjust font size for large screens */
  }

  .home__description {
    font-size: 1.125rem;
    /* Adjust font size for large screens */
  }
}